Search Results for

Show / Hide Table of Contents

# Class MouseFlags

Mouse flags reported in MouseEvent.

##### Inheritance

System.Object
MouseFlags

##### Remarks

They just happen to map to the ncurses ones.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class MouseFlags : Enum

### Fields

#### AllEvents

Mask that captures all the events.

##### Declaration

    public const MouseFlags AllEvents

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button1Clicked

The first mouse button was clicked (press+release).

##### Declaration

    public const MouseFlags Button1Clicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button1DoubleClicked

The first mouse button was double-clicked.

##### Declaration

    public const MouseFlags Button1DoubleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button1Pressed

The first mouse button was pressed.

##### Declaration

    public const MouseFlags Button1Pressed

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button1Released

The first mouse button was released.

##### Declaration

    public const MouseFlags Button1Released

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button1TripleClicked

The first mouse button was triple-clicked.

##### Declaration

    public const MouseFlags Button1TripleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button2Clicked

The second mouse button was clicked (press+release).

##### Declaration

    public const MouseFlags Button2Clicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button2DoubleClicked

The second mouse button was double-clicked.

##### Declaration

    public const MouseFlags Button2DoubleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button2Pressed

The second mouse button was pressed.

##### Declaration

    public const MouseFlags Button2Pressed

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button2Released

The second mouse button was released.

##### Declaration

    public const MouseFlags Button2Released

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button2TripleClicked

The second mouse button was triple-clicked.

##### Declaration

    public const MouseFlags Button2TripleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button3Clicked

The third mouse button was clicked (press+release).

##### Declaration

    public const MouseFlags Button3Clicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button3DoubleClicked

The third mouse button was double-clicked.

##### Declaration

    public const MouseFlags Button3DoubleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button3Pressed

The third mouse button was pressed.

##### Declaration

    public const MouseFlags Button3Pressed

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button3Released

The third mouse button was released.

##### Declaration

    public const MouseFlags Button3Released

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button3TripleClicked

The third mouse button was triple-clicked.

##### Declaration

    public const MouseFlags Button3TripleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button4Clicked

The fourth button was clicked (press+release).

##### Declaration

    public const MouseFlags Button4Clicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button4DoubleClicked

The fourth button was double-clicked.

##### Declaration

    public const MouseFlags Button4DoubleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button4Pressed

The fourth mouse button was pressed.

##### Declaration

    public const MouseFlags Button4Pressed

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button4Released

The fourth mouse button was released.

##### Declaration

    public const MouseFlags Button4Released

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### Button4TripleClicked

The fourth button was triple-clicked.

##### Declaration

    public const MouseFlags Button4TripleClicked

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### ButtonAlt

Flag: the alt key was pressed when the mouse button took place.

##### Declaration

    public const MouseFlags ButtonAlt

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### ButtonCtrl

Flag: the ctrl key was pressed when the mouse button took place.

##### Declaration

    public const MouseFlags ButtonCtrl

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### ButtonShift

Flag: the shift key was pressed when the mouse button took place.

##### Declaration

    public const MouseFlags ButtonShift

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### ReportMousePosition

The mouse position is being reported in this event.

##### Declaration

    public const MouseFlags ReportMousePosition

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### WheeledDown

Vertical button wheeled up.

##### Declaration

    public const MouseFlags WheeledDown

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### WheeledLeft

Vertical button wheeled up while pressing ButtonShift.

##### Declaration

    public const MouseFlags WheeledLeft

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### WheeledRight

Vertical button wheeled down while pressing ButtonShift.

##### Declaration

    public const MouseFlags WheeledRight

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### WheeledUp

Vertical button wheeled up.

##### Declaration

    public const MouseFlags WheeledUp

##### Field Value

Type | Description
--- | ---
MouseFlags |